#
# spec file for package python3-pyPEG2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pyPEG2
Version:        2.15.2
Release:        2.2
Summary:        PEG Parser-Interpreter framework for Python
License:        GPL-2.0
Group:          Development/Languages/Python
Url:            https://fdik.org/pyPEG2
Source:         https://files.pythonhosted.org/packages/source/p/pyPEG2/pyPEG2-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-lxml
BuildRequires:  python3-nose
Requires:       python3-lxml
BuildArch:      noarch

%description
pyPEG is a plain and simple intrinsic parser interpreter framework
for Python. It is based on Parsing Expression Grammar, PEG.
With pyPEG you can parse many formal languages in a very easy way.

%prep
%setup -q -n pyPEG2-%{version}

%build
python3 setup.py build

%install
python3 setup.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%check
nosetests-%{py3_ver}

%files
%defattr(-,root,root)
%doc CHANGES.txt LICENSE.txt README.txt
%{python3_sitelib}/pypeg2/
%{python3_sitelib}/pyPEG2-*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Thu Apr 21 2016 sor.alexei@meowr.ru
- Initial package.
